// Test.java
import java.awt.Graphics; 
import javax.swing.*;

public class Test extends JPanel
{
	Symbol list[];
	public void initialize(String args[])
	{
		int i;
		int n = args.length;
		list = new Symbol[n];
		int delta = 200/n;
		for (i=0; i<n; i++) {
			try {
				Class symbol_class = Class.forName(args[i]);
				Object obj = symbol_class.newInstance();
				Symbol sym = (Symbol)obj;
				sym.locate(50+i*delta,100);
				list[i] = sym;
			}
			catch (Exception e) {
				System.out.println("Error" + args[i] + e);
			}
		}
	}
			
	public static void main( String args[] )
	{
		// create a panel that contains our drawing
		Test panel = new Test();
		panel.initialize(args);

		// create a new frame to hold the panel
		JFrame application = new JFrame("Test");

		// set the frame to exit when it is closed
		application.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );

		application.add( panel ); // add the panel to the frame      
		application.setSize( 250, 250 ); // set the size of the frame
		application.setVisible( true ); // make the frame visible

		int width = application.getWidth();
		int height = application.getHeight();
		System.out.printf("application width %d height %d\n",width,height);
	} 

	   // draws an X from the corners of the panel
	   public void paintComponent( Graphics g )
	   {
	      // call paintComponent to ensure the panel displays correctly
		   super.paintComponent( g );
		   int n = list.length;
		   int i;
		   for (i=0; i<n; i++) {
			   list[i].draw(g);
		   }
	   } 
} 
